Bug 29717 - Too many DateTime manipulation in tools/additional-contents.pl
Summary: Too many DateTime manipulation in tools/additional-contents.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-16 15:48 UTC by Jonathan Druart
Modified: 2022-01-25 18:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02


Attachments
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl (1.55 KB, patch)
2021-12-16 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl (1.61 KB, patch)
2022-01-05 22:37 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl (1.66 KB, patch)
2022-01-07 12:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-12-16 15:48:01 UTC

    
Comment 1 Jonathan Druart 2021-12-16 15:49:45 UTC
Created attachment 128630 [details] [review]
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl

DBIC handles DateTime correctly, no need for this output_pref call.

Test plan:
Create a new content, set the dates, confirm they are set correctly
Modify the content, modify the dates, confirm they are stored correctly
Comment 2 Lucas Gass 2022-01-05 22:37:29 UTC
Created attachment 129044 [details] [review]
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl

DBIC handles DateTime correctly, no need for this output_pref call.

Test plan:
Create a new content, set the dates, confirm they are set correctly
Modify the content, modify the dates, confirm they are stored correctly

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2022-01-07 12:35:09 UTC
Created attachment 129149 [details] [review]
Bug 29717: Remove unecessary DT manipulations from tools/additional-contents.pl

DBIC handles DateTime correctly, no need for this output_pref call.

Test plan:
Create a new content, set the dates, confirm they are set correctly
Modify the content, modify the dates, confirm they are stored correctly

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Fridolin Somers 2022-01-14 08:12:48 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-01-14 14:41:28 UTC
Pushed to 21.11.x for 21.11.02
Comment 6 Andrew Fuerste-Henry 2022-01-25 18:06:52 UTC
Missing dependency, not backported to 21.05